package com.jwipc.tender.convert;

import com.jwipc.tender.dto.*;
import com.jwipc.tender.entity.TenderBidDetail;
import com.jwipc.tender.entity.TenderBidDetailExt;
import com.jwipc.tender.entity.TenderDetail;
import com.jwipc.tender.model.po.BidDetailPO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;

import java.util.List;


@Mapper(componentModel = "spring")
public interface TenderBidDetailConvert {
    TenderBidDetail tenderDetail2Entity(TenderDetail tenderDetail);

    List<TenderBidDetailAllDTO> entities2AllDtos(List<TenderBidDetail> list);

    TenderBidDetailAllDTO mergeToAllDtos(@MappingTarget TenderBidDetailAllDTO tenderBidDetailAllDTO, TenderBidDetailExt tenderBidDetailExt);

    List<TenderBidDetailExt> dtos2ExtEntities(List<TenderBidDetailAllDTO> bidDetail);

    List<TenderBidDetail> dtos2Entities(List<TenderBidDetailAllDTO> bidDetail);

    List<BenchmarksScoreExportDTO> entities2ScoreDTO(List<TenderBidDetail> bidDetails);

    List<TenderBidDetail> dtos2Entities1(List<SubmitBargainingItemDTO> dto);

    List<TenderBidDetailAllDTO> tenderDetail2AllDtos(List<TenderDetailAllDTO> tenderDetailDTOS);

    List<TenderBidDetail> dtos2Entities2(List<TenderBidDetailAllDTO> items);

    List<TenderBidDetailExt> dtos2Entities3(List<TenderBidDetailAllDTO> items);

    List<BidDetailDTO> poList2DTOList(List<BidDetailPO> pos);
}
